### Virtual Method

# Gio MenuModel is_mutable

since: 2.32

#### Declaration

    gboolean
    is_mutable (
      GMenuModel* model
    )

#### Description

Queries if `model` is mutable.

An immutable `GMenuModel` will never emit the `GMenuModel::items-changed` signal. Consumers of the model may make optimisations accordingly.

Available since: 2.32

#### Return value

Type: `gboolean`

`TRUE` if the model is mutable (ie: “items-changed” may be emitted).